Subject: bug#9394: coreutils-8.7 - few test cases failed

From: Jim Meyering <[email-masked]>
Date: Tue, 13 Sep 2011 11:49:26 +0200

tags 9394 + moreinfo
thanks

Jim Meyering wrote:
> Toralf Förster wrote:
>> Jim Meyering wrote at 09:59:49
>>> Thanks for the report, but why are you using coreutils-8.7?
>> Well - for the sys packages I trust the gentoo devs ...
>>> The latest is 8.12, with 8.13 due this week or next.
>>>
>>> Can you test with coreutils-8.12 instead?
>> Of course, the mkdirat test case failed -  the complete build log is attached
>
> Thanks.  I looked at one of the failures:
>
>> FAIL: dd/skip-seek-past-dev (exit: 1)
>> =====================================
>> ...
>> + env
>> SANDBOX_WRITE=:/dev/console:/dev/fd:/dev/full:/dev/null:/dev/pts/:/dev/pty:/dev/shm:/dev/stderr:/dev/stdout:/dev/tts:/dev/tty:/dev/vc/:/dev/zero:/proc/self/fd:/tmp/:/usr/lib32/cf:/usr/lib32/conftest:/usr/lib64/cf:/usr/lib64/conftest:/usr/lib/cf:/usr/lib/conftest:/usr/tmp/cf:/usr/tmp/conftest:/var/tmp:/var/tmp/:/var/tmp/ccache:/var/tmp/portage/sys-apps/coreutils-8.12/homedir/.bash_history:/dev/full:/dev/root
>> timeout 10 dd bs=1 seek=41047646721 count=0 status=noxfer
>> ./dd/skip-seek-past-dev: line 51: /dev/root: Permission denied
>
> The above looks suspiciously like someone has modified this test script.
> In particular, the "env SANDBOX_WRITE=..." bit is not a part of the
> distributed script.  It seems to be something gentoo specific.
>
>> + test 1 = 1
>> + echo 'dd: `standard output'\'': cannot seek: Invalid argument
>> 0+0 records in
>> 0+0 records out'
>> + compare err_ok err
>> + diff -u err_ok err
>> --- err_ok	2011-08-29 10:26:21.000000000 +0200
>> +++ err	2011-08-29 10:26:21.000000000 +0200
>> @@ -1,3 +1,3 @@
>> -dd: `standard output': cannot seek: Invalid argument
>> +dd: `standard input': cannot skip: Invalid argument
>
> Considering here we're expecting a seek diagnostic about stdout,
> yet getting a skip diagnostic about stdin makes me think
> the two tests have somehow been mixed up in your modified version.
>
> I've just confirmed that this root-only test passes on my F15-based desktop.

It's been two weeks.
Are there any test failures with *unmodified* coreutils-8.13 on your system?